## org.hibernate.metamodel.source.hbm
Class OneToManyPluralAttributeElementSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.OneToManyPluralAttributeElementSourceImpl

All Implemented Interfaces:
  OneToManyPluralAttributeElementSource, PluralAttributeElementSource

    public class OneToManyPluralAttributeElementSourceImpl

extends Object
implements OneToManyPluralAttributeElementSource

Constructor Summary
`OneToManyPluralAttributeElementSourceImpl(JaxbOneToManyElement oneToManyElement, LocalBindingContext bindingContext)`

Method Summary
`PluralAttributeElementNature` `getNature()`
`String` `getReferencedEntityName()`
`boolean` `isNotFoundAnException()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneToManyPluralAttributeElementSourceImpl

    public OneToManyPluralAttributeElementSourceImpl(JaxbOneToManyElement oneToManyElement,
                                                     LocalBindingContext bindingContext)

Method Detail

### getNature

    public PluralAttributeElementNature getNature()

  Specified by:
    `getNature` in interface `PluralAttributeElementSource`

### getReferencedEntityName

    public String getReferencedEntityName()

  Specified by:
    `getReferencedEntityName` in interface `OneToManyPluralAttributeElementSource`

### isNotFoundAnException

    public boolean isNotFoundAnException()

  Specified by:
    `isNotFoundAnException` in interface `OneToManyPluralAttributeElementSource`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.